﻿using System;
using System.IO;

class Program
{
    static void Main()
    {
        string filePath = @"C:\file\file_to_read.txt";

        try
        {
            string[] lines = File.ReadAllLines(filePath);
            int lineCount = lines.Length;
            int wordCount = 0;
            int charCount = 0;

            foreach (string line in lines)
            {
                charCount += line.Length;

                // Splitting line into words using space as delimiter
                string[] words = line.Split(' ');
                wordCount += words.Length;
            }

            Console.WriteLine("Contents of the file:");
            Console.WriteLine(string.Join(Environment.NewLine, lines));
            Console.WriteLine();

            Console.WriteLine($"Number of lines: {lineCount}");
            Console.WriteLine($"Number of words: {wordCount}");
            Console.WriteLine($"Number of characters: {charCount}");
        }
        catch (FileNotFoundException)
        {
            Console.WriteLine("File not found. Please make sure the file path is correct.");
        }
        catch (Exception ex)
        {
            Console.WriteLine($"An error occurred: {ex.Message}");
        }
        Console.ReadKey();
    }
}
